{
  "name": "sdream-ai-fe",
  "version": "1.0.0",
  "private": true,
  "description": "SDream AI",
  "author": "HoMeTown",
  "scripts": {
    "dev": "rsbuild dev --open",
    "dev:sit": "rsbuild dev --open --env-mode sit",
    "build:sit": "rsbuild build --env-mode sit",
    "build": "rsbuild build",
    "doctor": "RSDOCTOR=true pnpm build",
    "preview": "npx rsbuild preview --env-mode production",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "typecheck": "tsc --noEmit",
    "prepare": "simple-git-hooks"
  },
  "peerDependencies": {
    "@eslint-react/eslint-plugin": "^1.5.8",
    "@unocss/eslint-plugin": ">=0.50.0",
    "eslint": ">=8.40.0",
    "eslint-plugin-format": ">=0.1.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.4",
    "svelte-eslint-parser": ">=0.37.0"
  },
  "peerDependenciesMeta": {
    "@eslint-react/eslint-plugin": {
      "optional": true
    },
    "eslint-plugin-format": {
      "optional": true
    },
    "eslint-plugin-react-hooks": {
      "optional": true
    },
    "eslint-plugin-react-refresh": {
      "optional": true
    }
  },
  "dependencies": {
    "@heroui/react": "2.6.14",
    "@reduxjs/toolkit": "^2.2.7",
    "ahooks": "^3.8.0",
    "axios": "^1.7.3",
    "clsx": "^2.1.1",
    "date-fns": "^3.6.0",
    "github-markdown-css": "^5.8.0",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-draggable": "^4.4.6",
    "react-hot-toast": "^2.4.1",
    "react-joyride": "^2.9.3",
    "react-markdown": "^9.0.1",
    "react-photo-view": "^1.2.6",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.26.0",
    "react-virtuoso": "^4.10.0",
    "rehype-raw": "^7.0.0",
    "rehype-sanitize": "^6.0.0",
    "remark-gfm": "^4.0.0",
    "tailwind-merge": "^2.4.0"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^2.24.1",
    "@eslint-react/eslint-plugin": "^1.8.0",
    "@eslint/compat": "^1.1.1",
    "@rsbuild/core": "1.0.1",
    "@rsbuild/plugin-image-compress": "1.0.1",
    "@rsbuild/plugin-less": "1.0.1",
    "@rsbuild/plugin-react": "1.0.1",
    "@rsbuild/plugin-svgr": "1.0.1",
    "@rsbuild/plugin-typed-css-modules": "^1.0.2",
    "@rsdoctor/rspack-plugin": "^0.3.10",
    "@types/node": "^22.0.2",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "eslint": "^8.57.0",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.9",
    "framer-motion": "^11.3.21",
    "lint-staged": "^15.2.7",
    "simple-git-hooks": "^2.11.1",
    "tailwindcss": "^3.4.7",
    "typescript": "^5.5.2"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged"
  },
  "lint-staged": {
    "*": "eslint --fix"
  }
}
